### Function

# Camel SExp encode_string

since: 3.4

#### Declaration [src]

    void
    camel_sexp_encode_string (
      GString* string,
      const gchar* v_string
    )

#### Description [src]

Add a c string `v_string` to the s-expression stored in the gstring `s`. Quotes are added, and special characters are escaped appropriately.

Available since: 3.4

#### Parameters

`string`

  Type: `GString`

  Destination `GString`.

  The data is owned by the caller of the function.

`v_string`

  Type: `const gchar*`

  String expression.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.